"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.babelConfigWebApp = exports.babelConfigWebLib = void 0;

var _browsersList = require("@bubble-dev/browsers-list");

var _common = require("./common");

const babelConfigWebLib = { ..._common.babelConfigCommon,
  sourceMaps: true,
  presets: [[require.resolve('@babel/preset-env'), {
    targets: {
      browsers: _browsersList.browsersList
    },
    ignoreBrowserslistConfig: true,
    modules: false,
    exclude: ['@babel/plugin-transform-regenerator', '@babel/plugin-transform-async-to-generator']
  }], ..._common.babelConfigCommon.presets],
  plugins: _common.babelConfigCommon.plugins
};
exports.babelConfigWebLib = babelConfigWebLib;
const babelConfigWebApp = { ..._common.babelConfigCommon,
  sourceMaps: true,
  presets: [[require.resolve('@babel/preset-env'), {
    targets: {
      browsers: _browsersList.browsersList
    },
    ignoreBrowserslistConfig: true,
    modules: false,
    useBuiltIns: 'usage',
    corejs: 3,
    exclude: ['@babel/plugin-transform-regenerator', '@babel/plugin-transform-async-to-generator']
  }], ..._common.babelConfigCommon.presets],
  plugins: _common.babelConfigCommon.plugins
};
exports.babelConfigWebApp = babelConfigWebApp;